Package com.sun.jna.platform.win32

# Class Winnetwk.REMOTE_NAME_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winnetwk.REMOTE_NAME_INFO

Direct Known Subclasses:
  `Winnetwk.REMOTE_NAME_INFO.ByReference`, `Winnetwk.UNIVERSAL_NAME_INFO.ByReference`

Enclosing class:
  Winnetwk

@FieldOrder({"lpUniversalName","lpConnectionName","lpRemainingPath"}) public static class Winnetwk.REMOTE_NAME_INFO extends Structure
The REMOTE_NAME_INFO structure contains path and name information for a network resource. The structure contains a member that points to a Universal Naming Convention (UNC) name string for the resource, and two members that point to additional network connection information strings.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Winnetwk.REMOTE_NAME_INFO.ByReference`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`lpConnectionName`
Pointer to a null-terminated string that is the name of a network connection.
`String`
`lpRemainingPath`
Pointer to a null-terminated name string.
`String`
`lpUniversalName`
Pointer to the null-terminated UNC name string that identifies a network resource.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`REMOTE_NAME_INFO()`
`REMOTE_NAME_INFO(Pointer address)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### lpUniversalName

public String lpUniversalName
Pointer to the null-terminated UNC name string that identifies a network resource.

### lpConnectionName

public String lpConnectionName
Pointer to a null-terminated string that is the name of a network connection.

### lpRemainingPath

public String lpRemainingPath
Pointer to a null-terminated name string.

## Constructor Details

### REMOTE_NAME_INFO

public REMOTE_NAME_INFO()

### REMOTE_NAME_INFO

public REMOTE_NAME_INFO(Pointer address)